#
# spec file for package python-mobi
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-mobi
Version:        0.3.3
Release:        2.6
Summary:        Library for unpacking unencrypted mobi files
License:        GPL-3.0-only
URL:            https://github.com/iscc/mobi
Source:         https://files.pythonhosted.org/packages/source/m/mobi/mobi-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-loguru >= 0.4
BuildArch:      noarch
%python_subpackages

%description
Python library for unpacking unencrypted mobi files (forked from KindleUnpack)

%prep
%setup -q -n mobi-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/mobiunpack
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test files are not installable

%post
%python_install_alternative mobiunpack

%postun
%python_uninstall_alternative mobiunpack

%files %{python_files}
%doc README.md
%license LICENSE
%python_alternative %{_bindir}/mobiunpack
%{python_sitelib}/*

%changelog
* Wed Jan 10 2024 Michal Suchanek <msuchanek@suse.com>
- Build for python 3.11 on Leap
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update version 0.3.3
  * Downgrade pytest
  * Update dependencies and switch to poetry.core.masonry.api.
  * Remove python 3.6 support (EOL)
  * Remove py3.10 from CI
  * Downgrade virtualenv in build workflow
  * Add GitHub build workflow
  * Merge branch 'master' of https://github.com/iscc/mobi
- Update version 0.3.2 with updated dependencies.
  * Merge pull request #7 from dm9pZCAq/master
  * mobiml2xhtml.py: fix python2 code
- Update Version 0.3.1 fixes #3
  * Update dependencies.
  * Merge pull request #2 from rpdelaney/homepage_url
  * Fix homepage in pyproject.toml
  * Add support for file-like inputs
  * Add support for mobi7 only and print replica (pdf)
  * replace most print calls with logging, bump version
  * minimal working epub extraction with test
  * wrap command line interface as `mobiunpack`
  * add kindleunpack sources and update readme
  * add license
  * add poetry boilerplate
  * add gitignore
* Wed Jul 28 2021 Emily Roberts <nopeinomicon@posteo.net>
- Initial package version
